    This is an interface to Berkeley DB, distributed by Sleepycat
    (http://www.sleepycat.com/)

- Prerequisite

  db >= 2 (some functionnality like join are not available with db < 2.6)

  For Berkeley DB 1.85 and 1.86 see bdb1

- Installation

      ruby extconf.rb
      make
      make install

    You may need to specify :

     --with-db-include=<include file directory for bdb>

     --with-db-lib=<library directory for bdb>

     --with-db-dir=<prefix for library and include of bdb>

     --enable-db-xml

     --help

    Example :

     ruby extconf.rb --with-db-dir=/home/ts/local

- WARNING

  With bdb >= 0.5.5 `nil' is stored as an empty string (when marshal is not used).

  Open the database with

      "store_nil_as_null" => true

  if you want the old behavior (`nil' stored as `000')

- examples

  examples/basic.rb simple access method examples/recno.rb access to flat file examples/cursor.rb direct cursor access examples/txn.rb transaction examples/join.rb join (need db >= 2.6) examples/log.rb log file

- Documentation : see bdb.rd and bdb.html

- Tests : if you have rubyunit, or testunit

      make test

- Copying

    This extension module is copyrighted free software by Guy Decoux

    You can redistribute it and/or modify it under the same term as
    Ruby.

Guy Decoux <ts@moulon.inra.fr>